<?xml version="1.0" encoding="UTF-16" ?> 

<!ELEMENT PreProvisionInformation (SoftwareTypeName, Component+)>
<!ELEMENT SoftwareTypeName (#PCDATA)>
<!ELEMENT Component ( RomApplication?,Removable?,Size?,ScomoState?,GlobalId?,Version?,OriginVerified?,Hidden?,ComponentLocalizable*, ComponentProperty*,ComponentFile*,ComponentDependency*,ApplicationRegistrationInfo*)>
	<!ELEMENT ComponentLocalizable (ComponentLocalizable_Locale?,ComponentLocalizable_Name,ComponentLocalizable_Vendor?)>
		<!ELEMENT ComponentLocalizable_Locale (#PCDATA)>
		<!ELEMENT 	ComponentLocalizable_Name (#PCDATA)>
		<!ELEMENT ComponentLocalizable_Vendor (#PCDATA)>
		
	<!ELEMENT ComponentProperty (ComponentProperty_Locale?,ComponentProperty_Value,ComponentProperty_IsBinary?)>
		<!ELEMENT ComponentProperty_Locale (#PCDATA)>
		<!ELEMENT ComponentProperty_Value (ComponentProperty_IntValue | ComponentProperty_StrValue)>
			<!ELEMENT ComponentProperty_IntValue (#PCDATA)>
			<!ELEMENT ComponentProperty_StrValue (#PCDATA)>
		<!ELEMENT ComponentProperty_IsBinary (#PCDATA)>
		
		<!ATTLIST ComponentProperty Name CDATA #REQUIRED>
		
	<!ELEMENT ComponentFile (FileProperty*)>
		<!ELEMENT FileProperty (FileProperty_Value)>
			<!ELEMENT FileProperty_Locale (#PCDATA)>
			<!ELEMENT FileProperty_Value (FileProperty_IntValue | FileProperty_StrValue)>
				<!ELEMENT FileProperty_IntValue (#PCDATA)>
				<!ELEMENT FileProperty_StrValue (#PCDATA)>
				
			<!ATTLIST FileProperty Name CDATA #REQUIRED>
			
		<!ATTLIST ComponentFile Location CDATA #REQUIRED>
	
	<!ELEMENT ComponentDependency (DependencyList*)>
		<!ELEMENT DependencyList (SupplierId,FromVersion,ToVersion)>
			<!ELEMENT SupplierId (#PCDATA)>
			<!ELEMENT FromVersion (#PCDATA)>
			<!ELEMENT ToVersion (#PCDATA)>
		<!ATTLIST ComponentDependency DependentId CDATA #REQUIRED>
	
	<!ELEMENT ApplicationRegistrationInfo (ApplicationAttribute+,OpaqueData*,FileOwnershipinfo*,ApplicationServiceInfo*,ApplicationLocalizableInfo*,ApplicationProperty*)>
		
		<!ELEMENT ApplicationAttribute (ApplicationAttribute_Value,ApplicationAttribute_IsBinary?)>
			<!ELEMENT ApplicationAttribute_Value (ApplicationAttribute_IntValue | ApplicationAttribute_StrValue)>
				<!ELEMENT ApplicationAttribute_IntValue (#PCDATA)>
				<!ELEMENT ApplicationAttribute_StrValue (#PCDATA)>
			<!ELEMENT ApplicationAttribute_IsBinary (#PCDATA)>
		
		<!ATTLIST ApplicationAttribute Name CDATA #REQUIRED>		
		
		<!ELEMENT OpaqueData (Data,OpaqueLocale)>
			<!ELEMENT Data (#PCDATA)>
			<!ELEMENT OpaqueLocale (#PCDATA)>
		
		<!ELEMENT FileOwnershipinfo (FileName?)>
			<!ELEMENT FileName (#PCDATA)>
		
		<!ELEMENT ApplicationServiceInfo (Uid?,ServiceOpaqueData*,ApplicationDataType*)>
			<!ELEMENT Uid (#PCDATA)>
			<!ELEMENT ServiceOpaqueData (ServiceData,ServiceOpaqueLocale)>
				<!ELEMENT ServiceData (#PCDATA)>
				<!ELEMENT ServiceOpaqueLocale (#PCDATA)>
			<!ELEMENT ApplicationDataType (Priority?,Type?)>
				<!ELEMENT Priority (#PCDATA)>
				<!ELEMENT Type (#PCDATA)>
		
		<!ELEMENT ApplicationLocalizableInfo (LocalizableAttribute+,ViewData*)>
			<!ELEMENT LocalizableAttribute (LocalizableAttribute_Value,LocalizableAttribute_IsBinary?)>
				<!ELEMENT LocalizableAttribute_Value (LocalizableAttribute_IntValue | LocalizableAttribute_StrValue)>
					<!ELEMENT LocalizableAttribute_IntValue (#PCDATA)>
					<!ELEMENT LocalizableAttribute_StrValue (#PCDATA)>
				<!ELEMENT LocalizableAttribute_IsBinary (#PCDATA)>
			<!ATTLIST LocalizableAttribute Name CDATA #REQUIRED>

			<!ELEMENT ViewData (ViewDataAttribute+)>
				<!ELEMENT ViewDataAttribute (ViewData_Value,ViewData_IsBinary?)>
					<!ELEMENT ViewData_Value (ViewData_IntValue | ViewData_StrValue)>
						<!ELEMENT ViewData_IntValue (#PCDATA)>
						<!ELEMENT ViewData_StrValue (#PCDATA)>
					<!ELEMENT ViewData_IsBinary (#PCDATA)>
				<!ATTLIST ViewDataAttribute Name CDATA #REQUIRED>
		
		<!ELEMENT ApplicationProperty (Locale?,Name,IntValue?,StrValue?)>
			<!ELEMENT Locale (#PCDATA)>
			<!ELEMENT Name (#PCDATA)>
			<!ELEMENT IntValue (#PCDATA)>
			<!ELEMENT StrValue (#PCDATA)>

	<!ELEMENT RomApplication (#PCDATA)>
	<!ELEMENT Removable (#PCDATA)>
	<!ELEMENT Size (#PCDATA)>
	<!ELEMENT ScomoState (#PCDATA)>
	<!ELEMENT GlobalId (#PCDATA)>
	<!ELEMENT Version EMPTY>
		<!ATTLIST Version Major CDATA #REQUIRED>
		<!ATTLIST Version Minor CDATA #REQUIRED>
		<!ATTLIST Version Build CDATA #REQUIRED>
	<!ELEMENT OriginVerified (#PCDATA)>
	<!ELEMENT Hidden (#PCDATA)>
